<nz-layout class="app-layout">
  <nz-sider class="menu-sidebar" nzCollapsible nzWidth="220px" nzBreakpoint="md" [(nzCollapsed)]="isCollapsed"
    [nzTrigger]="null">
    <div class="sidebar-logo">
      <a [href]="'/?_v='+v">
        <img src="../../../favicon.ico" alt="logo">
        <h1>XXX管理平台</h1>
      </a>
    </div>
    <ul nz-menu nzTheme="dark" nzMode="inline" [nzInlineCollapsed]="isCollapsed">
      <li nz-submenu nzOpen nzTitle="组织管理" nzIcon="user" *ngIf="menus['org.department.menu']||menus['org.role.menu']||menus['org.staff.menu']">
        <ul>
          <li nz-menu-item nzMatchRouter *ngIf="menus['org.department.menu']">
            <a routerLink="/org/departments">部门管理</a>
          </li>
          <li nz-menu-item nzMatchRouter *ngIf="menus['org.role.menu']">
            <a routerLink="/org/roles">角色列表</a>
          </li>
          <li nz-menu-item nzMatchRouter *ngIf="menus['org.staff.menu']">
            <a routerLink="/org/staffs">人员列表</a>
          </li>
        </ul>
      </li>
      <li nz-submenu nzOpen nzTitle="系统管理" nzIcon="setting" *ngIf="me.is_superuser">
        <ul>
          <li nz-menu-item nzMatchRouter>
            <a routerLink="/sys/permissions">权限设置</a>
          </li>
          <li nz-menu-item nzMatchRouter>
            <a routerLink="/sys/apis">接口列表</a>
          </li>
        </ul>
      </li>
    </ul>
  </nz-sider>
  <nz-layout style="position: relative;">
    <nz-header>
      <div class="app-header">
        <span class="header-trigger" (click)="isCollapsed = !isCollapsed">
          <i class="trigger" nz-icon [nzType]="isCollapsed ? 'menu-unfold' : 'menu-fold'"></i>
        </span>

        <app-me-avatar-menu style="float: right;"></app-me-avatar-menu>

      </div>
    </nz-header>
    <nz-content>
      <div class="inner-content">
        <router-outlet></router-outlet>
      </div>
    </nz-content>
  </nz-layout>
</nz-layout>

<div class="watermark" *ngIf="!production"></div>
